Bug 84526 - [PATCH] audio/moc: missing dependency (audio/libid3tag) for MP3 support
Summary: [PATCH] audio/moc: missing dependency (audio/libid3tag) for MP3 support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sam Lawrance
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-08-03 18:10 UTC by Nicola Vitale
Modified: 2005-08-05 03:17 UTC (History)
1 user (show)

See Also:


Attachments
moc-2.3.0_1.patch (504 bytes, patch)
2005-08-03 18:10 UTC, Nicola Vitale
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nicola Vitale 2005-08-03 18:10:10 UTC
It seems that moc requires libid3tag to build with MP3 support,
but such library is not in LIB_DEPENDS.
 
Port maintainer (rzinkov@gmail.com) is cc'd.

Generated with FreeBSD Port Tools 0.63

How-To-Repeat: 
# cd /usr/ports/audio/moc; make install
[...]
checking for id3_file_open in -lid3tag... no
configure: error: You need libid3tag to play mp3, check the README file.
===>  Script "configure" failed unexpectedly.
Please report the problem to rzinkov@gmail.com [maintainer] and attach the
"/mnt/ufs-ad1s1e/ports/audio/moc/work/moc-2.3.0/config.log" including the
output of the failure of your make command. Also, it might be a good idea to
provide an overview of all packages installed on your system (e.g. an `ls
/var/db/pkg`).
*** Error code 1

Stop in /mnt/ufs-ad1s1e/ports/audio/moc.
Comment 1 Sam Lawrance freebsd_committer 2005-08-04 06:36:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lawrance

Take
Comment 2 Sam Lawrance freebsd_committer 2005-08-04 15:19:07 UTC
Maintainer,

What do you think about this patch:
http://www.freebsd.org/cgi/query-pr.cgi?pr=84526

I think it is useful - otherwise the port will fail as described if a
user already has audio/madplay installed on its own (not installed
through audio/mad).

-- 
Sam Lawrance                            lawrance@FreeBSD.org
ph +61 0425 228 579                    boris@brooknet.com.au
Comment 3 Sam Lawrance freebsd_committer 2005-08-04 15:19:26 UTC
State Changed
From-To: open->feedback

Maintainer was asked to review changes
Comment 4 Sam Lawrance freebsd_committer 2005-08-05 03:15:45 UTC
State Changed
From-To: feedback->closed

Committed, thanks!